// Place all the styles related to the Results controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/
#cover {
  background: url("https://www.aveva.com/Images/ajax-loader.gif") no-repeat center center #7da2a9;
  position: absolute;
  height: 100%;
  width: 100%;
  opacity: 0.7;
}

#bg-img {
  background: #7da2a9;
  position: absolute;
  z-index: -1;
  height: 100%;
  width: 100%;
  background-size: cover;
  background-position: center;
}

#viewing-container {
  display: none;
}

body {
  margin-top:0;
  margin-left: 0;
}

#buton, label, h1, h3, h4, h5, h6, footer, textarea {
  background: rgba(46, 47, 48, .8);
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  border-radius: 15px;
  color: aliceblue;
  display: inline;
  padding: 0.5rem;
  /* Needs prefixing */
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
  text-align: center;
}

h3, label, #buton, textarea {
    font-size: 1.5vw;
}

footer.copyright {
  position: absolute;
  bottom: 10px;
  right: 10px;
  font-size: 12px;

  a {
    color: white;
    text-decoration: underline;
  }
}

footer.files {
  position: absolute;
  bottom: 10px;
  left: 10px;
  font-size: 12px;

  a {
    color: white;
    text-decoration: underline;
  }
}

@media (max-height: 590px) and (max-width: 480px) {
    /* CSS stuff */

footer p {
  line-height: 12px;   /* within paragraph */
  margin-bottom: 5px; /* between paragraphs */
  }

#buton, label, h1, h3, h4, h5, h6, footer, textarea {
  padding: 0.35em
}
}

@media only screen
and (min-width : 300px)
and (max-width : 490px) {

h1 {
  font-size: 8vw;
}

textarea {
  width: 96%;
}

h3, label, #buton, textarea {
    font-size: 6vw;
}

footer.copyright {
  font-size: 3vw;
}

footer.files {
  p {
    margin-bottom: 7px;
  }
  bottom: 40px;
}

#viewing-container {
  margin-top: 0.1em !important;
}

}

@media only screen
and (min-width : 490px)
and (max-width : 650px) {

textarea {
  width: 96%;
}

h3, label, #buton, textarea {
    font-size: 4.25vw;
}

}

@media only screen
    and (min-width : 650px)
    and (max-width : 799px) {

textarea {
  width: 96%;
}

footer.files {
  bottom: 50px;
}

h3, label, #buton, textarea {
    font-size: 3.25vw;
}

}


@media only screen
    and (min-width : 800px)
    and (max-width : 1100px) {


textarea {
  width: 96%;
}

h3, label, #buton, textarea {
    font-size: 2.25vw;
}

}


@media only screen
    and (min-width : 1100px)
    and (max-width : 1400px) {


h3, label, #buton, textarea {
    font-size: 1.65vw;
}

}
